curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/returns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"items": [
{
"quantity": 1073741823.5000005,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"credit": true,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"returnDate": "2023-11-07T05:31:56Z",
"externalNumber": "<string>",
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"packages": [
{
"trackingID": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodCustom": "<string>"
}
],
"transmitToSalesChannel": true
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns"
payload = {
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"items": [
{
"quantity": 1073741823.5000005,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"credit": True,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"returnDate": "2023-11-07T05:31:56Z",
"externalNumber": "<string>",
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"packages": [
{
"trackingID": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodCustom": "<string>"
}
],
"transmitToSalesChannel": True
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
salesOrderId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
warehouseId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
items: [
{
quantity: 1073741823.5000005,
returnReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonComment: '<string>',
credit: true,
salesOrderLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
deliveryNoteLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
],
returnDate: '2023-11-07T05:31:56Z',
externalNumber: '<string>',
externalComment: '<string>',
internalComment: '<string>',
contact: '<string>',
packages: [
{
trackingID: '<string>',
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shippingMethodCustom: '<string>'
}
],
transmitToSalesChannel: true
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"number": "<string>",
"returnDate": "2023-11-07T05:31:56Z",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalNumber": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalComment": "<string>",
"internalComment": "<string>",
"contact": "<string>",
"transmitToSalesChannel": true
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Create Return
Create a new return with associated items and packages.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
The details of the return to create.
Model Class: CreateReturn
The company of the corresponding sales order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The id of the sales order if the return has exactly on corresponding sales order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Id of the Warehouse.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
List of items included in the return.
Show child attributes
Show child attributes
The date when the return was created.
An arbitrary external reference number for identifying the return, provided only during creation and cannot be changed afterward.
The external comment of the sales order.
The internal comment of the sales order.
The contact of the return.
List of packages included in the return.
Show child attributes
Show child attributes
Indicates whether the return should be transmitted to the sales channel (e.g. SCX or Amazon).
Response
The created return.
Model Class: Return
Unique ID to identify a return.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The number of the return.
The date when the return was created.
The customer ID.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
An arbitrary external reference number for identifying the return, provided only during creation and cannot be changed afterward.
Indicates the origin of the return, specifying where or how the return was initiated.
0, 1, 2, 3, 4, 5, 6, 7 The company of the corresponding sales order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The id of the sales order if the return has exactly on corresponding sales order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The id of the return state.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Id of the Warehouse.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The external comment of the sales order.
The internal comment of the sales order.
The contact of the return.
Indicates whether the return should be transmitted to the sales channel (e.g. SCX or Amazon).
Was this page helpful?